For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETList products
      • POSTCreate a product
      • GETGet product by ID
      • PUTUpdate product (full)
      • DELDelete product
      • PATCHUpdate product (partial)
Calculator
LogoLogo
EndpointsProducts

Get product by ID

GET
https://api.finput.com.au/api/v1/products/:id
GET
/api/v1/products/:id
$curl https://api.finput.com.au/api/v1/products/1 \
> -H "Authorization: Bearer <token>"
1{
2 "id": 1,
3 "product_name": "product_name",
4 "organisation_id": 1,
5 "min_range": 1,
6 "max_range": 1,
7 "min_amount": 1.1,
8 "max_amount": 1.1,
9 "min_abn_age": 1,
10 "max_abn_age": 1,
11 "min_asset_age": 1,
12 "max_asset_age": 1,
13 "min_gst_age": 1,
14 "max_gst_age": 1,
15 "min_asset_age_plus_term": 1,
16 "max_asset_age_plus_term": 1,
17 "min_credit_score": 1,
18 "max_credit_score": 1,
19 "monthly_fee": 1.1,
20 "documentation_fee": 1.1,
21 "brokerage_cap": 1.1,
22 "maximum_brokerage_limit": 1.1,
23 "compounding_frequency": "w",
24 "brokerage_loading_treatment": 1.1,
25 "max_origination_fee_limit": 1.1,
26 "doc_fee_financed": "yes",
27 "private_sale": "yes",
28 "sale_hire_back": "yes",
29 "home_owner": "yes",
30 "created_at": "2024-01-15T09:30:00Z",
31 "updated_at": "2024-01-15T09:30:00Z"
32}
Was this page helpful?
Previous

Update product (full)

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idintegerRequired

Response

Product details
idinteger
product_namestring
organisation_idinteger
ID of the owning organisation
min_rangeinteger

Minimum loan term (months)

max_rangeinteger

Maximum loan term (months)

min_amountdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0

Minimum loan amount ($)

max_amountdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0

Maximum loan amount ($)

min_abn_ageinteger

Minimum ABN age (months)

max_abn_ageinteger
min_asset_ageinteger

Minimum asset age (months)

max_asset_ageinteger
min_gst_ageinteger

Minimum GST registration age (months)

max_gst_ageinteger
min_asset_age_plus_terminteger
max_asset_age_plus_terminteger
min_credit_scoreinteger
max_credit_scoreinteger
monthly_feedouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
documentation_feedouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
brokerage_capdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
Maximum brokerage percentage
maximum_brokerage_limitdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
Maximum brokerage dollar amount
compounding_frequencyenum

Compounding frequency:

  • w - Weekly
  • m - Monthly
  • q - Quarterly
  • y - Yearly
Allowed values:
brokerage_loading_treatmentdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
max_origination_fee_limitdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
doc_fee_financedenum

Tri-state choice for product/rate bracket feature flags

Allowed values:
private_saleenum

Tri-state choice for product/rate bracket feature flags

Allowed values:
sale_hire_backenum

Tri-state choice for product/rate bracket feature flags

Allowed values:
home_ownerenum

Tri-state choice for product/rate bracket feature flags

Allowed values:
created_atdatetimeDefaults to 1970-01-01T00:00:00.000Z
updated_atdatetimeDefaults to 1970-01-01T00:00:00.000Z

Errors

404
Get Product Request Not Found Error